# Homelab

[![pipeline status](https://git.shore.co.il/shore/homelab/badges/master/pipeline.svg)](https://git.shore.co.il/shore/homelab/-/commits/master)

> My homelab setup using Ansible.

## Background

I used to maintain quite a few Ansible roles with proper CI and whatnot. But as
time moved on a few things changed. Firstly, my homelab was stable and I
didn't have to manage it. My work changed and I used Ansible less and Docker
more. [Molecule](https://molecule.readthedocs.io/) 2.0 came out and I had to
redo all of the CI setup. Also, I reached the time limit with TravisCI with some
of the more complex roles which casued them to fail although they were
completely working.

With this in mind, this is a new take on my homelab setup. I'm not going to do
CI (more than [pre-commit](pre-commit.com/) checks) for the foreseeable future.
There isn't going to be a dev environment using Vagrant. Also, no reusable
Ansible roles. Lastly, the scope for Ansible is much reduced. I'm going to use
it to manage the OpenBSD router, the OpenWRT access point, the base aspects of
the other hosts. Anything that I can do with Docker and Docker Compose, I'm
going to use that. My point here is to allow me to easily update hosts with
minimal downtime to new releases and to do what I can't do with Docker.

## License

This software is licensed under the MIT license (see `LICENSE.txt`).

## Author Information

Nimrod Adar, [contact me](mailto:nimrod@shore.co.il) or visit my
[website](https://www.shore.co.il/). Patches are welcome via
[`git send-email`](http://git-scm.com/book/en/v2/Git-Commands-Email). The repository
is located at: <https://git.shore.co.il/explore/>.
